Java: Plugin Install for Freemind, Get: NoclassDeffoundError Org / ObjectWeb / ASM / OPCODES -- java campo com plugins camp askubuntu Relacionado O problema

Java: plugin install for freemind, get : NoClassDefFoundError org/objectweb/asm/Opcodes


0
vote

problema

português

Eu estou usando o Freemind 0.9 no Ubuntu 12.04, e tentando instalar um plugin escrito com "Groovy", de http://blog.icare3d.org/2011 /02/writing-phd-tese-using-freemind-and.html

Eu instalei o FreeMind, o script de plugins de Freemind, colocado manualmente (e editado) o grrovy srcipt, plugins editados / scriptingengine.xml conforme descrito no link. O plugin é reconhecido como eu posso acessar através do menu, mas clicar nele não tem efeito.

Eu percebo no terminal, há um erro:

  STDERR: Exception in thread "AWT-EventQueue-1"  STDERR: java.lang.NoClassDefFoundError: org/objectweb/asm/Opcodes STDERR:     at java.lang.ClassLoader.defineClass1(Native Method) STDERR:     at java.lang.ClassLoader.defineClass(ClassLoader.java:643) STDERR:     at         java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) STDERR:     at java.net.URLClassLoader.defineClass(URLClassLoader.java:277) STDERR:     at java.net.URLClassLoader.access$000(URLClassLoader.java:73)    

Meu entendimento é que estou perdendo um componente Java? Isso está correto? Ou é que esse componente não é atualizado (eu notei que tenho grrovy 1,9 enquanto 2.3 parece lá)?

Se sim, como posso localizá-lo? Eu vi algumas bibliotecas libasma-java, instalei um monte deles (libasma-dev, libasma-java, libasma1, libasma2-java, libasma2-java, libasm3-java) mas ainda o mesmo erro. Curiosamente, observei que ObjectWeb / ASM / OPCODE é mencionado em libasm2- java-doc mas não em libasm2-java

ou talvez a biblioteca esteja corretamente instalada, mas é o plugin / feemind que não a localiza corretamente?

Como eu não sei nada sobre Java, qualquer sugestão seria mais apreciada! Obrigado !!

english

I am using freemind 0.9 on Ubuntu 12.04, and trying to install a plugin written with "groovy", from http://blog.icare3d.org/2011/02/writing-phd-thesis-using-freemind-and.html

I installed freemind, freemind-plugins-script, put manually (and edited) the grrovy srcipt, edited plugins/ScriptingEngine.xml as described in the link. The plugin is recognised as I can access through the menu, but clicking on it has no effect.

I realise in the terminal there is an error:

STDERR: Exception in thread "AWT-EventQueue-1"  STDERR: java.lang.NoClassDefFoundError: org/objectweb/asm/Opcodes STDERR:     at java.lang.ClassLoader.defineClass1(Native Method) STDERR:     at java.lang.ClassLoader.defineClass(ClassLoader.java:643) STDERR:     at         java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) STDERR:     at java.net.URLClassLoader.defineClass(URLClassLoader.java:277) STDERR:     at java.net.URLClassLoader.access$000(URLClassLoader.java:73) 

My understanding is that I am missing a java component? Is this correct? Or is it that that component is not updated (I note I have grrovy 1.9 while 2.3 seems there)?

If so, how can I locate it? I saw some libasm-java libraries, installed a bunch of them (libasm-dev, libasm-java, libasm1, libasm2-java, libasm2-java, libasm3-java) but still the same error. Interestingly, I note that objectweb/asm/Opcode is mentioned in libasm2-java-doc but not in libasm2-java

Or maybe the library is correctly installed, but it is the plugin/freemind that does not locate it correctly?

As I don't know anything about Java, any hint would be most appreciated! Thanks!!

     

Lista de respostas

0
 
vote
.

ou talvez a biblioteca esteja corretamente instalada, mas é o plugin / feemind que não a localiza corretamente?

Este é o caso, eu acho. Para mim, funciona se eu começar a Freemind no terminal no caminho da Follownig:

  ADD_JARS="/usr/share/java/asm3-all.jar:/usr/share/java/antlrall.jar" DEBUG=1 freemind    
 

Or maybe the library is correctly installed, but it is the plugin/freemind that does not locate it correctly?

This is the case, I guess. For me it works if I start freemind in terminal in the follownig way:

ADD_JARS="/usr/share/java/asm3-all.jar:/usr/share/java/antlrall.jar" DEBUG=1 freemind 
 
 

Perguntas relacionadas

45  Como faço para instalar um plugin para gedit v3?  ( How do i install a plugin for gedit v3 ) 
Acabei de instalar o Ubuntu 11.10, e quero instalar um plugin para gedit . Eu descompactei o plugin à seguinte pasta: ~/.gnome2/gedit/plugins mas no gedi...

5  Instale o Adblock usando o Synaptic ou através do menu Addons do Firefox?  ( Install adblock using synaptic or through firefoxs addons menu ) 
Eu quero instalar adblock para o firefox e eu vejo que está em Synaptic. Devo instalá-lo com sináptico ou a maneira regular com o gerenciador de add-on do...

6  Há mais plugins Brasero disponíveis?  ( Are there more brasero plugins available ) 
Eu estou chegando a Brasero mais do que antes (dificilmente usei no passado para ser honesto), e agora estou me perguntando, são os plugins que vêm com o padr...

1  Como instalar plugins de terceiros Geany  ( How to install geany third party plugins ) 
Eu realmente gosto do IDE Geany e uso um par de plugins Geeany, mas não tenho ideia de onde começar, a fim de instalar plugins de terceiros. Eu verifiquei o ...

1  Instalação de vim-plug no Ubuntu 16.10  ( Vim plug installation on ubuntu 16 10 ) 
Eu sou um novo usuário do Ubuntu, e eu gostaria de um pouco de ajuda com plugins. De acordo com isso site , eu instalei vim-plug com curl -fLo ~/.vim/auto...

1  Faça Gedit Cores Terminal Embedded Match Global Theme? (16.04)  ( Make gedit embedded terminal colors match global theme 16 04 ) 
O terminal incorporado do GEDIT na minha sessão 16.04 não está seguindo o tema padrão do Ubuntu e não parece ser configurável de forma alguma. Mais precisam...

2  Compizconfig: animação de fogo não encontrada mesmo depois de instalar compiz-extras  ( Compizconfig fire animation not found even after install compiz extras ) 
Eu estou usando o Ubuntu 14.04 no meu PC e instalei os plugins compiz necessários para obter animações em execução, como plugins compiz - extra, compiz-plugin...

34  Como instalar o Firefox Addon da linha de comando em scripts?  ( How to install firefox addon from command line in scripts ) 
Eu quero melhorar meu script autônomo adicionando algum addon do Firefox, no entanto, eu não consigo encontrar o caminho, Alguém pode ajudar a descobrir como...

0  Erro (em GTK?) Ao tentar instalar o plugin Eclipsexul  ( Error in gtk when trying to install eclipsexul plugin ) 
quando instalando eclipsexul plugin no eclipsephp, diz: . Não é possível concluir a instalação porque Um ou mais itens necessários não puderam ser enc...

1  Mouse Double Click não está abrindo arquivos de dados com o aplicativo correto  ( Mouse double click is not opening data files with the correct application ) 
Quando eu instalei o software Apache OpenOffice com sucesso e com a ajuda do Pacote GNOME, criei um breve lançador do OpenOffice, o ícone está funcionando. Eu...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.